Ir al contenido

Estado de preparación del agente

GET
/partner/tenants/{tenant_id}/health
curl --request GET \
--url https://api.overtaker.online/api/v1/partner/tenants/example/health \
--header 'Authorization: <Authorization>'

Retorna si el agente está listo para recibir mensajes.

tenant_id
required
Tenant Id
string

Successful Response

Media type application/json
TenantHealthResponse
object
ready
required
Ready
boolean
checks
required
TenantHealthChecks
object
bot_config
required
Bot Config
boolean
role_assigned
required
Role Assigned
boolean
knowledge_entries
required
Knowledge Entries
integer
channel_connected
required
Channel Connected
boolean
missing
required
Missing
Array<string>
Example generated
{
"ready": true,
"checks": {
"bot_config": true,
"role_assigned": true,
"knowledge_entries": 1,
"channel_connected": true
},
"missing": [
"example"
]
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}